

uix-donate-form {
    & {
        section {
            position: relative;
            width: 100%;
            overflow: hidden;
            min-height: 1140px;
        }
    
        legend {
            padding-top: 12px;
            padding-bottom: 20px;
        }
    
        .submit-button {
            width: 100%;
        }
    
        button:has(div.submit-button) {
            margin-top: 8px;
        }
    
        .input-container:has(input.empty-on-submit:placeholder-shown),
        .input-container:has(input:invalid:not(:placeholder-shown)) {
            border-color: var(--unyt-border-invalid);
            span {
                color: var(--unyt-border-invalid);
            }
        }
    
        .floating-select-container:has(
            select.empty-on-submit option[value=""]:checked
        ) {
            border-color: var(--unyt-border-invalid);
            span {
                color: var(--unyt-border-invalid);
            }
        }
    
        .step-payment {
            transition: opacity 200ms ease-in-out 150ms;
        }
    
        .hide-previous {
            opacity: 0;
        }
    
        .subsequent-step {
            box-sizing: border-box;
            overflow: auto;
            transform: translateY(0);
            transition:
                transform 500ms ease-in-out 25ms,
                opacity 200ms ease-in-out 150ms;
            border-width: 2px;
            opacity: 1;
        }
    
        .hide-subsequent {
            overflow: hidden;
            transform: translateY(100px);
            opacity: 0;
        }
    
        .hide-intermediate {
            overflow: hidden;
            opacity: 0;
        }
    
        .hide-section {
            display: none !important;
        }
    
        
        #starfield {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            pointer-events: none;
            transition: opacity 800ms ease-in-out;
            opacity: 0;
        }
    
        #starfield.fading-in {
            opacity: 1;
        }
    
        .sepa-mandate-container {
            transition: opacity 800ms ease-in-out;
        }
    
        .sepa-mandate-container.fading {
            opacity: 0;
        }
        
    }
    
}
